Subject: SGI postgres ?

From: Daniel Desmeules <[email-masked]>
Date: Tue, 17 Aug 1993 13:24:57 -0400

Hello,
	I would like to know if there is a port (or someone working
on one) of postgres to Silicon Graphics machines ?

Thanks.

---

From: [email-masked] (Paul M. Aoki)
Date: Tue, 17 Aug 93 13:33:31 -0700

> on one) of postgres to Silicon Graphics machines ?

yes, but it's a very old one.

                       Paul's Private POSTGRES Port-list
                               $Revision: 0.14 $

                 send revisions to: [email-masked]

If no FTP site is listed, send mail to the  contact  person  to  ascertain  the
availability  of  the  code.   Be  aware  that  some  of the contact points are
freelance consultants who have paid UC good money for  their  commercialization
licences, so you may have to pay to get their code.

"In progress" means two things: it's a 4.1/4.2 port, and you probably won't  be
able to get a copy until it's done.

The old Sun-3 (MC68020, SunOS 3 and 4), Sequent Symmetry (80386, Dynix 3.0) and
Sprite ports are no longer available.

These are not official policy statements from, or endorsements by, the POSTGRES
research group.  I work here, but I don't run things.

vendor  cpu        os            postgres       contact
-------------------------------------------------------------------------------
DEC     MIPS       Ultrix 4.2+   4.1            Berkeley
                                                FTP: postgres.berkeley.edu
DEC     Alpha AXP  OSF/1         (in progress)  Berkeley
                                                [to be released with 4.2]
H-P     PA-RISC    HP-UX 8.07    4.0.1          Richard Turnbull
                                                ([email-masked])
                                                FTP: ftp.csc.liv.ac.uk
H-P     PA-RISC    HP-UX 8.07    (done)         Berkeley
H-P     PA-RISC    HP-UX 9.01    (done)         Berkeley
                                                [to be released with 4.2]
IBM     RS/6000    AIX 3.2       4.0.1          Rafael Morales Gamboa
                                                ([email-masked])
                                                FTP: rs970.mor.itesm.mx
                                                FTP: postgres.berkeley.edu
IBM     RS/6000    AIX 3.2       (in progress)  Anuradha M. Sastri
                                                ([email-masked])
Intel   80386      386bsd        4.0.1[1]       Igor Bartchenkov
                                                ([email-masked])
                                                George B. Kouznetsov
                                                ([email-masked])
                                                Thomas Krebs
                                                ([email-masked])
                                                FTP: agate.berkeley.edu
                                                FTP: postgres.berkeley.edu
Intel   80386      Linux 0.99.7  4.0.1          Kai Petzke
                                                ([email-masked])
                                                FTP: ftp.cs.tu-berlin.de
                                                FTP: tsx-11.mit.edu
                                                FTP: postgres.berkeley.edu
Intel   80386      Linux 0.99.7  4.1[2]         Kai Petzke
                                                ([email-masked])
                                                FTP: ftp.cs.tu-berlin.de
                                                FTP: tsx-11.mit.edu
                                                FTP: postgres.berkeley.edu
Intel   80386      SCO ODT 2.0   (in progress)  Lance Ellinghouse
                                                ([email-masked])
Intel   80386      SVR4          4.0.1          Robert Withrow
                                                ([email-masked])
Intel   80386      SVR4          4.0.1          Neil McQuaig
                                                ([email-masked])
NeXT    68040      NeXTSTEP 3.0  4.1            Gerben Wierda
                                                ([email-masked])
SGI     MIPS       Irix          3.1            Rowland Johnson
                                                ([email-masked])
                                                FTP: vogon.llnl.gov
                                                FTP: postgres.berkeley.edu
Sun     Sparc      SunOS 4.1.1+  4.1            Berkeley
                                                FTP: postgres.berkeley.edu
Sun     Sparc      Solaris 2.1   (in progress)  Daniel R. Bidwell
                                                ([email-masked])
-------------------------------------------------------------------------------

[1] Single-user.
[2] Tends to crash multi-user (but has other bug fixes).

For those who are interested in the POSTGRES functionality but want  commercial
tech  support  and  greater  reliability,  a  commercial version of POSTGRES is
available from Miro Systems, Inc for  Sparc/SunOS4.1.   For  more  information,
contact:

    Arlene Emenaker
    Sales Representative
    Miro Systems, Inc.
    2000 Powell Street
    Suite 1405
    Emeryville, CA  94608
    510-652-8000
    510-652-8050 (fax)
    [email-masked] or [email-masked]

(No, I don't have any real ties with Miro, but this is a FAQ for me.)
--
  Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
                |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki

---

From: [email-masked]
Date: Tue, 24 Aug 1993 22:54:49 +0200 (SAST)

Hi ,
Please could you let me know what the disk space and memory requirements
are for a postgres installation on the Intel 80386, Linux and/or BSD operating 
systems.
I am considering purchasing another hard disk, and am debating what additional
space I will require for postgres, and whether to install the BSD or Linux OS 
- (though at the moment I'm more inclined towards BSD.)

Regards,
[email-masked]
-- 
"...all monopolistic and hierarchial systems are based on anxiety."
W.S. Burroughs

---

From: [email-masked] (Kai Petzke)
Date: Thu, 26 Aug 93 0:29:39 MET DST

> are for a postgres installation on the Intel 80386, Linux and/or BSD operating 

Exerpt from the file postgres.README, to be found with the Linux postgres
port:

Q: Space requirements?
----------------------
Binaries:	2 MB HD Space + Database space
		4 MB RAM + some swap, if nothing else is running.
		(maybe more, I have 8 MB and did not test with 4)

Docs:		a) troff source:    2 MB HD
		b) postscript dump: 2 MB HD

You probably won't need to by another hard disk to run postgres.

Without X-Windows and LaTeX, Linux can be installed on a 20 MB partition.

Kai
[email-masked]